Bug 995541 - Remove old JSF/UI code that is no longer used
Remove old JSF/UI code that is no longer used
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.1.2
All All
medium Severity medium
: ER03
: JON 3.2.0
Assigned To: Mike Thompson
Mike Foley
Depends On:
Blocks: 889012
  Show dependency treegraph
Reported: 2013-08-09 12:42 EDT by Larry O'Leary
Modified: 2014-01-02 15:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-02 15:33:13 EST
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2013-08-09 12:42:27 EDT
This task is a direct result of bug 889012 and the new work that has been done for charting and moving all UI components from JSF.

We now need to remove the old UI code that is no longer needed/used. For example, it is believed that we are no longer using org.rhq.enterprise.gui.image.WebImage but it seems to remain in the code base. 

This will ensure that we are no longer loading and depending on external components/libraries that are no longer being used and address AWT threading blocking issues that occur on Windows do to how the libraries are initialized.
Comment 1 Mike Thompson 2013-08-21 22:33:39 EDT
Removed from portal.war the java AWT related classes which is a small superset of the JSF charting classes with careful attention not to break the functionality of existing portal war capability like content, some admin screens, and the timeline.

Committed to master commit id: 434b099

Note You need to log in before you can comment on or make changes to this bug.